Package Details: budgie-desktop-git 10.6.r1.g6c759b42-1

Git Clone URL: https://aur.archlinux.org/budgie-desktop-git.git (read-only, click to copy)
Package Base: budgie-desktop-git
Description: A feature-rich, modern desktop - latest git
Upstream URL: https://github.com/BuddiesOfBudgie/budgie-desktop
Licenses: GPL2, LGPL2.1
Conflicts: budgie-desktop
Provides: budgie-desktop
Submitter: ricardomv
Maintainer: SolarAquarion (JoshStrobl, serebit)
Last Packager: JoshStrobl
Votes: 74
Popularity: 0.080587
First Submitted: 2013-12-20 03:39 (UTC)
Last Updated: 2022-03-26 16:50 (UTC)

Required by (51)

Sources (1)

Latest Comments

lockeanarchist commented on 2020-12-04 02:22 (UTC)

needs cmake and ibus to build in a newly installed arch chroot: https://paste.ubuntu.com/p/rDRscF9tbt/

bscubed commented on 2019-10-04 16:48 (UTC)

This requires a patch to be compatible with the GNOME 3.34 stack. See the community package to see how they implemented it. https://git.archlinux.org/svntogit/community.git/tree/trunk?h=packages/budgie-desktop

bscubed commented on 2018-11-16 06:52 (UTC)

If you get an error during the build about libmutter-2 not found, please do not mark this package as outdated or beg for this package to be updated. It's a known upstream bug and is planned to be fixed in the 10.5.1 milestone release. Just be patient or use the community package. Thanks to @ricardomv for the awesome package. See here for more info: https://github.com/solus-project/budgie-desktop/issues/1587

txtsd commented on 2018-11-04 16:34 (UTC)

==> Making package: budgie-desktop-git v10.4.r42.g298b9ae4-1 (Sun 04 Nov 2018 10:03:50 PM IST)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Updating budgie-desktop-git git repo...
Fetching origin
==> Validating source files with md5sums...
    budgie-desktop-git ... Skipped
==> Removing existing $srcdir/ directory...
==> Extracting sources...
  -> Creating working copy of budgie-desktop-git git repo...
Cloning into 'budgie-desktop-git'...
done.
==> Starting prepare()...
Submodule 'gvc' (https://git.gnome.org/browse/libgnome-volume-control) registered for path 'subprojects/gvc'
Cloning into '/home/txtsd/.cache/yay/budgie-desktop-git/src/budgie-desktop-git/subprojects/gvc'...
warning: redirecting to https://gitlab.gnome.org/GNOME/libgnome-volume-control.git/
Submodule path 'subprojects/gvc': checked out '84087213f1d06fdefb29d2a3eba8fc8c30c1ba93'
==> Starting pkgver()...
==> Updated version: budgie-desktop-git v10.4.r133.g6f75bbd3-1
==> Sources are ready.
==> Making package: budgie-desktop-git v10.4.r133.g6f75bbd3-1 (Sun 04 Nov 2018 10:03:57 PM IST)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> WARNING: Using existing $srcdir/ tree
==> Starting pkgver()...
==> Starting build()...
The Meson build system
Version: 0.48.1
Source dir: /home/txtsd/.cache/yay/budgie-desktop-git/src/budgie-desktop-git
Build dir: /home/txtsd/.cache/yay/budgie-desktop-git/src/budgie-desktop-git/build
Build type: native build
Project name: budgie-desktop
Project version: 10.4
Appending CFLAGS from environment: '-march=native -mtune=native -O2 -pipe -fstack-protector-strong -fno-plt'
Appending LDFLAGS from environment: '-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'
Appending CPPFLAGS from environment: '-D_FORTIFY_SOURCE=2'
Native C compiler: ccache cc (gcc 8.2.1 "cc (GCC) 8.2.1 20180831")
Appending LDFLAGS from environment: '-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'
Native Vala compiler: valac (valac 0.42.2)
Build machine cpu family: x86_64
Build machine cpu: x86_64
Program git found: YES (/usr/bin/git)
Program meson_post_install.sh found: YES (/home/txtsd/.cache/yay/budgie-desktop-git/src/budgie-desktop-git/meson_post_install.sh)
Found pkg-config: /usr/bin/pkg-config (1.5.4)
Dependency gtk+-3.0 found: YES 3.24.1
Dependency glib-2.0 found: YES 2.58.1
Dependency gio-unix-2.0 found: YES 2.58.1
Dependency libpeas-1.0 found: YES 1.22.0
Dependency gdk-x11-3.0 found: YES 3.24.1
Dependency uuid found: YES 2.32.1
Dependency vapigen found: YES 0.42.2
Dependency ibus-1.0 found: YES 1.5.19
Dependency gnome-desktop-3.0 found: YES 3.30.2
Dependency gsettings-desktop-schemas found: YES 3.28.1
Dependency libwnck-3.0 found: YES 3.30.0
Dependency accountsservice found: YES 0.6.54
Program intltool-merge found: YES (/usr/bin/intltool-merge)
meson.build:103: WARNING: You must have Nautilus 3.26 or older for desktop icons with Budgie
Configuring config.h using configuration

|
|Executing subproject gvc 
|
|Project name: gvc
|Project version: undefined
|Native C compiler: ccache cc (gcc 8.2.1 "cc (GCC) 8.2.1 20180831")
|Dependency alsa found: YES 1.1.7
|Dependency gio-2.0 found: YES 2.58.1
|Dependency gobject-2.0 found: YES 2.58.1
|Dependency libpulse found: YES 12.2
|Dependency libpulse-mainloop-glib found: YES 12.2
|Configuring config.h using configuration
|Build targets in project: 2
|
|Subproject gvc finished.
Dependency gtk+-x11-3.0 found: YES 3.24.1
Dependency x11 found: YES 1.6.7
Program sassc found: YES (/usr/bin/sassc)
Library m found: YES
Library m found: YES
Dependency polkit-gobject-1 found: YES 0.116
Dependency polkit-agent-1 found: YES 0.116
Dependency libmutter found: NO (tried pkgconfig)
Dependency libmutter-0 found: NO (tried pkgconfig)
Dependency libmutter-1 found: NO (tried pkgconfig)
Dependency libmutter-2 found: NO (tried pkgconfig)

src/wm/meson.build:40:4: ERROR:  Dependency "libmutter-2" not found, tried pkgconfig

A full log can be found at /home/txtsd/.cache/yay/budgie-desktop-git/src/budgie-desktop-git/build/meson-logs/meson-log.txt
==> ERROR: A failure occurred in build().
    Aborting...
Error making: budgie-desktop-git

LoveChocoCat commented on 2018-04-03 11:30 (UTC)

this package is not compatible with libmutter-2 please update the package please

dga commented on 2018-03-24 21:00 (UTC)

Just FYI: This package currently also depends on libibus to build successfully (which is not listed as a dependency at the moment).

ARM_User commented on 2017-12-12 15:16 (UTC)

Fantastic, but there is still a little bug... when I press the Win key for selecting menu an then i press it another time for closing it there is a little dotted area which surround my menu icon. I know that it's a very little and stupid bug but it's a bit a punch in an eye. The rest is fantastic, the best DE I've ever tried, not a sign of screen tearing, flickering or others. You're doing an excellent job, but please could you fix this. Bye (sorry for my bad english).

Morv commented on 2017-10-11 21:24 (UTC)

At this point the build is working again with the current version of meson (0.43.0-1), no downgrade needed anymore. There was an update on the gnome/mutter side which also fixed the crash of the DE when you closed maximized windows.

plymouth commented on 2017-10-10 02:09 (UTC)

A rebuild is required to support the most recent gnome/mutter update (even though no upstream change was made -- important because tools like yaourt will skip a rebuild when no upstream change is detected). Without a rebuild budgie-wm will fail attempting to locate/link to the 'old' libmutter-0.so (now libmutter-1.so). However, the build will currently fail with the most recent version of meson, a downgrade was required (at least for me) to complete the build (as mentioned in my prior comment).

plymouth commented on 2017-10-10 01:37 (UTC)

Unable to build with the most recent version of meson (meson-0.43.0-1). Was able to build by downgrading to previous version (meson-0.42.1-2). The same issue occurs when building the budige-desktop community package. When building with meson-0.43.0-1, I am receiving the build error: # Meson encountered an error in file subprojects/gvc/meson.build, line 31, column 0: # Sandbox violation: Tried to grab file gvc-channel-map.c from a different subproject.

LinuxLad commented on 2017-10-09 23:28 (UTC)

Getting this error when trying to build: Meson encountered an error in file src/theme/meson.build, line 31, column 0: Resource "theme_hc_3.20.css" listed in "src/theme/budgie-theme.gresource.xml" was not found. If this is a generated file, pass the target that generates it to gnome.compile_resources() using the "dependencies" keyword argument. ==> ERROR: A failure occurred in build(). Aborting...

mareke commented on 2017-10-07 16:06 (UTC) (edited on 2017-10-07 16:06 (UTC) by mareke)

I restore all packages to date 2017-10-05. After that I manage to install budgie-desktop-git.

mareke commented on 2017-10-06 18:48 (UTC) (edited on 2017-10-06 19:09 (UTC) by mareke)

FAILED: meson-install ninja: build stopped: subcommand failed Downgrading meson/ninja didn't solve the problem. Upgrading to meson-git and ninja-git din't solve it too.

asonix commented on 2017-08-12 00:12 (UTC)

Missing dependency on sassc

sapiens_anatis commented on 2017-07-14 23:56 (UTC) (edited on 2017-07-14 23:56 (UTC) by sapiens_anatis)

The latest master branch seems to only build with meson <= 0.40.1 while this will fetch (and you will probably have) something on version 0.41.xx May not be true in the future, so only try downgrading if it doesn't work for you

popexxiii commented on 2017-07-10 21:24 (UTC)

sassc appears to be a new dependency for building.

Flat commented on 2017-06-17 23:49 (UTC) (edited on 2017-06-17 23:50 (UTC) by Flat)

Missing libibus dependency - when trying to build in chroot

franey commented on 2017-04-19 00:25 (UTC)

meson is a missing required dependency. It builds nicely after installing that.

popexxiii commented on 2017-04-17 20:34 (UTC)

If anyone is interested, I was able to build the latest 10.3 code on github using these commands. I muddled my way through. There was a submodule that needed to be synced: git submodule update --init Then: meson build --prefix=/usr --sysconfdir=/etc --buildtype plain ninja -C build DESTDIR=$pkgdir ninja -C build install and maybe these commands: pushd build; sudo ninja install This installed it directly and I'm sure pacman will be mad, but I have alt + tab now. :)

ricardomv commented on 2017-01-30 09:58 (UTC)

@solstice those packages are in base-devel that should be installed when building from the AUR

solsticedhiver commented on 2017-01-28 15:23 (UTC)

missing makedepend are automake and pkg-config

bastelfreak commented on 2017-01-19 21:36 (UTC)

Hi, There seems to be a makedepend missing: https://ci.virtapi.org/job/Arch_Package_budgie-desktop-git/12/console configure: error: Package requirements ( libmutter >= 3.16.0, gnome-desktop-3.0 >= 3.16.0, gsettings-desktop-schemas >= 3.16.0, ibus-1.0 >= 1.5.10 ) were not met: No package 'ibus-1.0' found

Vistaus commented on 2017-01-19 13:00 (UTC) (edited on 2017-01-19 15:59 (UTC) by Vistaus)

Currently broken. When I choose Budgie from the LightDM session menu and log in, it just takes me back to LightDM... It used to work fine up until a few days ago so not sure what's causing the issue... Edit: here's the terminal output: [16:58:02] vistaus@vistaus-dc13 /home/vistaus (0) > budgie-desktop --debug gnome-session-binary[24289]: DEBUG(+): Enabling debugging (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:150:54: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:172:56: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:177:74: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:181:56: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:186:58: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:194:56: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:199:58: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:207:56: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:212:58: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:223:74: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:230:64: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:233:75: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:1052:69: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:1081:74: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:1092:74: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:1095:58: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:1102:74: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:1105:58: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:1332:71: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:1339:62: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:1343:74: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:1464:62: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:1468:58: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:1471:56: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:1865:9: Not using units is deprecated. Assuming 'px'. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:1865:9: Expected a string. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:2663:53: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:2693:51: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:2696:59: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:2701:53: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:2701:87: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:2946:8: not a number (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:2946:17: Using Pango syntax for the font: style property is deprecated; please use CSS syntax (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:3218:54: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:3531:71: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:3538:62: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:3541:74: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:3549:52: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:3621:60: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:3629:67: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:3633:54: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:3644:60: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:3837:8: not a number (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:3837:20: Using Pango syntax for the font: style property is deprecated; please use CSS syntax (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:3857:54: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:3868:8: not a number (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:3868:22: Using Pango syntax for the font: style property is deprecated; please use CSS syntax (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:3871:8: not a number (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:3871:28: Using Pango syntax for the font: style property is deprecated; please use CSS syntax (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:3874:8: not a number (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:3874:22: Using Pango syntax for the font: style property is deprecated; please use CSS syntax (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:3891:12: not a number (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:3891:12: Expected a string. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:3897:14: not a number (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:3897:14: Expected a string. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:3903:16: not a number (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:3903:16: Expected a string. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:3908:14: not a number (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:3908:14: Expected a string. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:3975:12: Expected a string. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:3977:16: not a number (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:3977:16: Expected a string. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:4023:12: not a number (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:4023:12: Expected a string. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:4026:66: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:4202:72: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:4209:62: Using one color stop with linear-gradient() is deprecated. (gnome-session-check-accelerated:24293): Gtk-WARNING **: Theme parsing error: gtk.css:4212:73: Using one color stop with linear-gradient() is deprecated. gnome-session-binary[24289]: DEBUG(+): Using systemd for session tracking gnome-session-binary[24289]: DEBUG(+): GsmManager: setting client store 0x7ff830006d30 gnome-session-binary[24289]: DEBUG(+): GsmXsmpServer: SESSION_MANAGER=local/vistaus-dc13:@/tmp/.ICE-unix/24289,unix/vistaus-dc13:/tmp/.ICE-unix/24289 gnome-session-binary[24289]: DEBUG(+): emitting SessionIsActive gnome-session-binary[24289]: DEBUG(+): fill: *** Getting session 'budgie-desktop' gnome-session-binary[24289]: DEBUG(+): fill: *** Looking if /home/vistaus/.config/gnome-session/sessions/budgie-desktop.session is a valid session file gnome-session-binary[24289]: DEBUG(+): Cannot use session '/home/vistaus/.config/gnome-session/sessions/budgie-desktop.session': non-existing or invalid file. gnome-session-binary[24289]: DEBUG(+): fill: *** Looking if /etc/xdg/gnome-session/sessions/budgie-desktop.session is a valid session file gnome-session-binary[24289]: DEBUG(+): Cannot use session '/etc/xdg/gnome-session/sessions/budgie-desktop.session': non-existing or invalid file. gnome-session-binary[24289]: DEBUG(+): fill: *** Looking if /home/vistaus/.local/share/flatpak/exports/share/gnome-session/sessions/budgie-desktop.session is a valid session file gnome-session-binary[24289]: DEBUG(+): Cannot use session '/home/vistaus/.local/share/flatpak/exports/share/gnome-session/sessions/budgie-desktop.session': non-existing or invalid file. gnome-session-binary[24289]: DEBUG(+): fill: *** Looking if /var/lib/flatpak/exports/share/gnome-session/sessions/budgie-desktop.session is a valid session file gnome-session-binary[24289]: DEBUG(+): Cannot use session '/var/lib/flatpak/exports/share/gnome-session/sessions/budgie-desktop.session': non-existing or invalid file. gnome-session-binary[24289]: DEBUG(+): fill: *** Looking if /usr/local/share/gnome-session/sessions/budgie-desktop.session is a valid session file gnome-session-binary[24289]: DEBUG(+): Cannot use session '/usr/local/share/gnome-session/sessions/budgie-desktop.session': non-existing or invalid file. gnome-session-binary[24289]: DEBUG(+): fill: *** Looking if /usr/share/gnome-session/sessions/budgie-desktop.session is a valid session file gnome-session-binary[24289]: DEBUG(+): fill: *** Checking required components gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking for file 'budgie-wm.desktop' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/home/vistaus/.config/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/home/vistaus/.local/share/flatpak/exports/share/gnome/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/var/lib/flatpak/exports/share/gnome/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/usr/local/share/gnome/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/usr/share/gnome/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/usr/share/gnome/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/etc/xdg/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/home/vistaus/.local/share/applications' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/home/vistaus/.local/share/flatpak/exports/share/applications' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/var/lib/flatpak/exports/share/applications' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/usr/local/share/applications' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/usr/share/applications' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/usr/share/applications' gnome-session-binary[24289]: DEBUG(+): GsmUtil: found in XDG dirs: '/usr/share/applications/budgie-wm.desktop' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking for file 'gnome-settings-daemon.desktop' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/home/vistaus/.config/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/home/vistaus/.local/share/flatpak/exports/share/gnome/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/var/lib/flatpak/exports/share/gnome/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/usr/local/share/gnome/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/usr/share/gnome/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/usr/share/gnome/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/etc/xdg/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/home/vistaus/.local/share/applications' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/home/vistaus/.local/share/flatpak/exports/share/applications' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/var/lib/flatpak/exports/share/applications' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/usr/local/share/applications' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/usr/share/applications' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/usr/share/applications' gnome-session-binary[24289]: WARNING: Unable to find required component 'gnome-settings-daemon' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking for file 'budgie-daemon.desktop' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/home/vistaus/.config/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/home/vistaus/.local/share/flatpak/exports/share/gnome/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/var/lib/flatpak/exports/share/gnome/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/usr/local/share/gnome/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/usr/share/gnome/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/usr/share/gnome/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/etc/xdg/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/home/vistaus/.local/share/applications' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/home/vistaus/.local/share/flatpak/exports/share/applications' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/var/lib/flatpak/exports/share/applications' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/usr/local/share/applications' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/usr/share/applications' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/usr/share/applications' gnome-session-binary[24289]: DEBUG(+): GsmUtil: found in XDG dirs: '/usr/share/applications/budgie-daemon.desktop' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking for file 'budgie-panel.desktop' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/home/vistaus/.config/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/home/vistaus/.local/share/flatpak/exports/share/gnome/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/var/lib/flatpak/exports/share/gnome/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/usr/local/share/gnome/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/usr/share/gnome/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/usr/share/gnome/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/etc/xdg/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/home/vistaus/.local/share/applications' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/home/vistaus/.local/share/flatpak/exports/share/applications' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/var/lib/flatpak/exports/share/applications' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/usr/local/share/applications' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/usr/share/applications' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/usr/share/applications' gnome-session-binary[24289]: DEBUG(+): GsmUtil: found in XDG dirs: '/usr/share/applications/budgie-panel.desktop' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking for file 'budgie-polkit.desktop' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/home/vistaus/.config/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/home/vistaus/.local/share/flatpak/exports/share/gnome/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/var/lib/flatpak/exports/share/gnome/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/usr/local/share/gnome/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/usr/share/gnome/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/usr/share/gnome/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/etc/xdg/autostart' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/home/vistaus/.local/share/applications' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/home/vistaus/.local/share/flatpak/exports/share/applications' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/var/lib/flatpak/exports/share/applications' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/usr/local/share/applications' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/usr/share/applications' gnome-session-binary[24289]: DEBUG(+): GsmUtil: Looking in '/usr/share/applications' gnome-session-binary[24289]: DEBUG(+): GsmUtil: found in XDG dirs: '/usr/share/applications/budgie-polkit.desktop' gnome-session-binary[24289]: DEBUG(+): fill: *** Done checking required components gnome-session-binary[24289]: DEBUG(+): fill: *** Session is not runnable gnome-session-binary[24289]: DEBUG(+): GsmManager: GSM starting to manage gnome-session-binary[24289]: DEBUG(+): GsmManager: App startup summary gnome-session-binary[24289]: DEBUG(+): GsmManager: Phase EARLY_INITIALIZATION gnome-session-binary[24289]: DEBUG(+): GsmManager: Phase PRE_DISPLAY_SERVER gnome-session-binary[24289]: DEBUG(+): GsmManager: Phase DISPLAY_SERVER gnome-session-binary[24289]: DEBUG(+): GsmManager: Phase INITIALIZATION gnome-session-binary[24289]: DEBUG(+): GsmManager: Phase WINDOW_MANAGER gnome-session-binary[24289]: DEBUG(+): GsmManager: Phase PANEL gnome-session-binary[24289]: DEBUG(+): GsmManager: Phase DESKTOP gnome-session-binary[24289]: DEBUG(+): GsmManager: Phase APPLICATION gnome-session-binary[24289]: DEBUG(+): GsmManager: starting phase EARLY_INITIALIZATION gnome-session-binary[24289]: DEBUG(+): GsmManager: ending phase EARLY_INITIALIZATION gnome-session-binary[24289]: DEBUG(+): GsmManager: starting phase PRE_DISPLAY_SERVER gnome-session-binary[24289]: DEBUG(+): GsmManager: ending phase PRE_DISPLAY_SERVER gnome-session-binary[24289]: DEBUG(+): GsmManager: starting phase DISPLAY_SERVER gnome-session-binary[24289]: DEBUG(+): GsmManager: ending phase DISPLAY_SERVER gnome-session-binary[24289]: DEBUG(+): GsmManager: starting phase INITIALIZATION gnome-session-binary[24289]: DEBUG(+): GsmManager: ending phase INITIALIZATION gnome-session-binary[24289]: DEBUG(+): GsmManager: starting phase WINDOW_MANAGER gnome-session-binary[24289]: DEBUG(+): GsmManager: ending phase WINDOW_MANAGER gnome-session-binary[24289]: DEBUG(+): GsmManager: starting phase PANEL gnome-session-binary[24289]: DEBUG(+): GsmManager: ending phase PANEL gnome-session-binary[24289]: DEBUG(+): GsmManager: starting phase DESKTOP gnome-session-binary[24289]: DEBUG(+): GsmManager: ending phase DESKTOP gnome-session-binary[24289]: DEBUG(+): GsmManager: starting phase APPLICATION gnome-session-binary[24289]: DEBUG(+): GsmManager: ending phase APPLICATION gnome-session-binary[24289]: DEBUG(+): GsmManager: starting phase RUNNING gnome-session-binary[24289]: DEBUG(+): gsm_xsmp_server_start gnome-session-binary[24289]: DEBUG(+): GsmPresence: adding idle watch (1) for 300 secs Unable to init server: Could not connect: Connection refused gnome-session-binary[24289]: DEBUG(+): Caught SIGINT/SIGTERM, shutting down normally. gnome-session-binary[24289]: DEBUG(+): GsmManager: requesting logout gnome-session-binary[24289]: DEBUG(+): GsmManager: ending phase RUNNING gnome-session-binary[24289]: DEBUG(+): GsmManager: starting phase QUERY_END_SESSION gnome-session-binary[24289]: DEBUG(+): gsm_xsmp_server_stop_accepting_new_clients gnome-session-binary[24289]: DEBUG(+): GsmManager: sending query-end-session to clients (logout mode: forceful) gnome-session-binary[24289]: DEBUG(+): GsmManager: query end session timed out gnome-session-binary[24289]: DEBUG(+): GsmManager: query end session complete gnome-session-binary[24289]: DEBUG(+): GsmManager: ending phase QUERY_END_SESSION gnome-session-binary[24289]: DEBUG(+): GsmManager: starting phase END_SESSION gnome-session-binary[24289]: DEBUG(+): GsmManager: ending phase END_SESSION gnome-session-binary[24289]: DEBUG(+): GsmSessionSave: Clearing saved session gnome-session-binary[24289]: DEBUG(+): GsmSessionSave: clearing currently saved session at /home/vistaus/.config/gnome-session/saved-session gnome-session-binary[24289]: DEBUG(+): GsmManager: starting phase EXIT gnome-session-binary[24289]: DEBUG(+): GsmManager: ending phase EXIT gnome-session-binary[24289]: DEBUG(+): GsmManager: disposing manager gnome-session-binary[24289]: DEBUG(+): GsmStore: Clearing object store gnome-session-binary[24289]: DEBUG(+): GsmStore: Clearing object store gnome-session-binary[24289]: DEBUG(+): GsmStore: Clearing object store [16:58:22] vistaus@vistaus-dc13 /home/vistaus (0) >

ricardomv commented on 2017-01-18 22:28 (UTC)

@Flat i thought i already made that change but for some reason i forgot to commit the changes. Thanks for the heads up.

Flat commented on 2017-01-18 21:34 (UTC)

Budgie does not have a test suite, as this is built from git master "make check" is probably not needed and will more likely cause more issues than it will prevent.

bastelfreak commented on 2016-09-25 13:18 (UTC)

Hi, I'm trying to build the PKGBUILD in a fresh arch nspawn container: ==> Starting build()... + Setting up submodules Submodule 'gvc' (https://git.gnome.org/browse/libgnome-volume-control) registered for path 'gvc' Cloning into '/build/budgie-desktop-git/src/budgie-desktop-git/gvc'... Submodule path 'gvc': checked out '7e5504db3d85b7a4b5dc0207c47af09b426ad75a' You should add the contents of '/usr/share/aclocal/intltool.m4' to 'aclocal.m4'. ./autogen.sh: line 25: gtkdocize: command not found ==> ERROR: A failure occurred in build(). Aborting... can you please add extra/gtk-doc as a make depend?

danboid commented on 2016-07-21 06:51 (UTC)

I built this last night and the panel crashes I used to get on login a few months ago are gone now. Ikey tells me accountsservice should be included in the list of dependencies for budgie. If you need the ability to lock the desktop (if you want to use budgie in work, for example) install gnome-screensaver. If you are running budgie with lightdm you can then lock the screen by pushing super+l.

lml commented on 2016-03-14 11:04 (UTC)

I installed budgie-desktop from community-testing and have not encountered any logout issues anymore since.

chipmunkboogie commented on 2016-03-09 23:28 (UTC)

I tried to install budgie again...same log out issue.

chipmunkboogie commented on 2016-03-07 20:20 (UTC)

@lml I heard budgie has been moved to testing try this one out: https://www.archlinux.org/packages/?name=budgie-desktop

lml commented on 2016-03-07 20:06 (UTC)

@chipmunkboogie I have the same error message. Sometimes it works, other times I am forced to log out. Any news on this?

chipmunkboogie commented on 2016-02-19 19:58 (UTC)

@ricardomv Thanks. I think it may be my Gnome install. Budgie is my second DE.

ricardomv commented on 2016-02-19 13:45 (UTC)

@chipmunkboogie i can't reproduce this. If you still have the issue please report to upstream project.

chipmunkboogie commented on 2016-02-18 03:07 (UTC)

Error message: "Oh no! Something has gone wrong!" Forced to log out. dmesg [24.899402] traps: budgie-panel[1107] trap int3 ip:7f1b5401764b sp:7fffb47f2bb0 error:0 [25.757821] traps: budgie-panel[1127] trap int3 ip:7fc96947b64b sp:7fff2eb79950 error:0

mareke commented on 2016-01-10 16:22 (UTC)

gtk-doc needs to be in dependencies?!

mareke commented on 2016-01-03 02:10 (UTC)

Now it's ok.

mareke commented on 2016-01-03 00:56 (UTC)

@ricardomv and @danboid try to update this git package. I have already installed budgie-desktop-git. I am trying it to updated latest git.

ricardomv commented on 2016-01-03 00:45 (UTC)

@mareke i was having this issue too it was fixed in a recent commit @danboid yeah i was just waiting to get a clean build

danboid commented on 2016-01-02 20:59 (UTC)

gnome-session needs to be added as a dependency otherwise you cannot login to budgie.

mareke commented on 2016-01-02 17:05 (UTC)

I'm getting error while building: If some of these files are left out on purpose then please add them to POTFILES.skip instead of POTFILES.in. A file 'missing' containing this list of left out files has been written in the current directory. Please report to ikey@solus-project.com if [ -r missing -o -r notexist ]; then \ exit 1; \ fi ... Makefile:519: recipe for target 'check-recursive' failed make: *** [check-recursive] Error 1 make: Target 'check' not remade because of errors.

ricardomv commented on 2015-08-26 22:13 (UTC)

@finnoleary automake is in base-devel that you need to install to build aur packages as described in the wiki https://wiki.archlinux.org/index.php/Arch_User_Repository#Getting_started

asternova commented on 2015-08-26 21:36 (UTC)

Please add 'automake' as a dependency.

ricardomv commented on 2015-08-21 22:56 (UTC)

@turtil gettext is in base and base-devel so it should be installed in every system.

turtil commented on 2015-08-20 11:00 (UTC)

needed gettext, "error: possibly undefined macro: AM_NLS" maybe?, it compiles now with gettext...

Xorg commented on 2015-05-06 09:07 (UTC)

Please add 'intltool' as makedepends.

addisonamiri commented on 2015-05-04 17:10 (UTC)

s/initltool/intltool/

addisonamiri commented on 2015-05-04 17:09 (UTC)

I'm pretty sure initltool needs to be added as a build dependency. I don't have it installed and during autogen.sh I get "intltoolize: command not found"

Binero commented on 2015-04-20 15:57 (UTC)

@florin_kobe I am experiencing a similar issue: https://github.com/solus-project/budgie-desktop/issues/114

florin_kobe commented on 2015-04-20 09:31 (UTC)

Installed it. Everything working great just that the media keys don't work. Enyone know how to fix this?

sigmundv commented on 2015-04-16 05:39 (UTC)

@marciosr10: Of you're using GNOME 3.16 then that's the reason you can't compile. I don't think budgie is compatible with GNOME 3.16 yet.

marcio commented on 2015-04-16 00:18 (UTC)

I had a problem with budgie compilation: udgie-desktop-git/panel/applets/icontasklist' VALAC libicontasklistapplet_la_vala.stamp gtk+-3.0.vapi:3135.27-3135.40: error: The type name `GLib.ListModel' could not be found public void bind_model (GLib.ListModel? model, owned Gtk.ListBoxCreateWidgetFunc create_widget_func) Has anyone an ideia?

ricardomv commented on 2015-04-15 12:51 (UTC)

@JustinZ libgee is listed as a dependency in the [README.md](https://github.com/solus-project/budgie-desktop/blob/master/README.md). The commit that dropped the dependence was reverted [c80706b](https://github.com/solus-project/budgie-desktop/commit/c80706b01c542b27438bbd1cb041eedbd568187d)

JustinZ commented on 2015-04-15 07:03 (UTC)

@ricardomv please remove libgee from dependencies, it's no longer needed as per a previous comment.

ricardomv commented on 2015-04-03 03:58 (UTC)

@kzero11 yeah it doesn't build with gtk 3.16

kzero11 commented on 2015-04-03 00:09 (UTC)

I getting this error during build. gtk+-3.0.vapi:3135.27-3135.40: error: The type name `GLib.ListModel' could not be found

ricardomv commented on 2015-04-01 12:16 (UTC)

@joebonrichie yup thanks

joebonrichie commented on 2015-04-01 08:31 (UTC)

Missing dependency: gobject-introspection Needed to compile

FallenSnow commented on 2015-03-10 18:11 (UTC)

Should gnome-control-center not be added to the list of dependencies? Installing it was the only way I could get the settings to open.

commented on 2015-01-20 15:03 (UTC)

libgee is not longer required (https://plus.google.com/112089348047460560288/posts/LkwiMDARFDR)

ShyPixie commented on 2014-12-12 23:08 (UTC)

Update build() and prepare() functions too, now you can use autogen.sh script

ShyPixie commented on 2014-12-12 23:02 (UTC)

Without gnome-themes-standard bugie-wm crash. Add it on depends.

lee8oi commented on 2014-11-17 21:59 (UTC)

Just an FYI if you are having problems building Budgie or you encounter bugs in Budgie you should submit them to the projects github (https://github.com/evolve-os/budgie-desktop). Budgie is under very active development and might provide fixes or answers to your issues.

MustangXY commented on 2014-11-06 09:31 (UTC)

No luck with LightDM. Both ~/.xinitrc and ~/.xprofile are left blank; I am able to choose between Xfce, LXDE, Openbox and Budgie but only the first three can run: Budgie crashes just after the bar appears. Obviously I deleted SLiM and its dependencies before installing LightDM. I'll move my issue to a forum thread as soon as I have time so I don't pollute the comments section: thank you for your help and sorry for the trouble!

ricardomv commented on 2014-11-03 22:34 (UTC)

oh and it looks like slim is not compatible with logind sessions i guess that's why it doesn't work

ricardomv commented on 2014-11-03 22:29 (UTC)

use lightdm for the login screen slim is no longer maintained. And you don't need to configure the xinitrc file

MustangXY commented on 2014-11-03 21:30 (UTC)

@ricardomv My ~/.initrc file has only one uncommented line apart from the if/then/for/etc.: exec $1, which is necessary in order for the DE/WM selection at the graphical login stage to be effective (else SLiM would run only the uncommented "exec -name of de or wm-"). I just tried what you suggested: I modified ~/.xinitrc and replaced "exec $1" with "exec budgie-session", then logged out and tried logging back both through SLiM (knowing it would only attempt to run Budgie) and from terminal (which can be called from SLiM by typing "console" and providing the root password, so technically the second attempt is as root) with "exec budgie-session", but I only got two crashes, and the bar didn't even appear. Any ideas?

ricardomv commented on 2014-11-03 18:25 (UTC)

@MustangXY are you trying to start budgie as root? do you have "exec budgie-session" in your ~/.xinitrc file?

MustangXY commented on 2014-11-02 23:03 (UTC)

I have the same problem as kaslusimoes. Budgie fails to run both through SLiM and from X: after startx I wrote "exec budgie-session" and received an error concering pulseaudio: W: [pulseaudio] main.c: This program is not intended to be run as root (unless --system is specified). 2518 (budgie-wm) closed with exit code: 256 Launched 1 times Then the budgie panel appears, attached to the cursor, before disappearing on click. Tried this a couple of times, then X shut down with a fatal error. I don't know what else I could try...

ricardomv commented on 2014-10-28 12:05 (UTC)

looks like python2 is now an optional dependency of gobject-introspection

commented on 2014-10-27 17:19 (UTC)

This fails to build in a clean chroot. /bin/sh: /usr/bin/g-ir-scanner: /usr/bin/python2: bad interpreter: No such file or directory /usr/share/gobject-introspection-1.0/Makefile.introspection:153: recipe for target 'Gvc-1.0.gir' failed make[2]: *** [Gvc-1.0.gir] Error 126 make[2]: Leaving directory '/build/budgie-desktop-git/src/budgie-desktop-git/gvc' Makefile:454: recipe for target 'all-recursive' failed make[1]: *** [all-recursive] Error 1 make[1]: Leaving directory '/build/budgie-desktop-git/src/budgie-desktop-git' Makefile:385: recipe for target 'all' failed make: *** [all] Error 2 Adding python2 to the makedepends array fixes it. Please correct this.

willemw commented on 2014-09-02 14:47 (UTC)

"conflicts=('budgie-desktop')" is missing.

theandy94 commented on 2014-08-23 08:49 (UTC)

Hi ricardomv, on the Evolve OS website the Budgie-desktop is now on version 6, could you update your repo with the new version? thanks in advance. -theandy94

ricardomv commented on 2014-08-17 20:44 (UTC)

put only 'exec budgie-session' in xinitrc and use startx

kaslusimoes commented on 2014-08-17 15:19 (UTC)

I'm starting with 'xinit' using the .xinitrc example that the wiki provides: https://wiki.archlinux.org/index.php/Xinitrc#Making_a_DE.2FWM_choice I has worked with i3, cinnamon, gnome and alucryd's pantheon out of the box even when on a rootless user

ricardomv commented on 2014-08-16 18:15 (UTC)

are you using startx to start any other X session in another VT? from what i understand this cant't be done with a rootless X. from this bug https://bugs.archlinux.org/task/41257

kaslusimoes commented on 2014-08-16 14:04 (UTC)

My Xorg.log file: http://pastie.org/9478408 It also outputed this: http://pastie.org/9478413 I also have some other DE and WM working fine (including Gnome)

ricardomv commented on 2014-08-16 02:22 (UTC)

works fine for me. can you post X log files

kaslusimoes commented on 2014-08-15 22:39 (UTC)

I can't run it directly from my .xinitrc file using 'exec budgie-session' =( It simply shows the bar for half a second e blacks out, going back to the tty console

ricardomv commented on 2014-06-21 19:28 (UTC)

@RibShark thanks fixed

RibShark commented on 2014-06-21 10:27 (UTC)

Please put quotes around "autoconf" and "git", as not doing so confuses the AUR and AUR helpers.

ricardomv commented on 2014-06-21 09:52 (UTC)

i just built it on a clean chroot and the only thing that was missing was git and it's now fixed

Joel commented on 2014-06-21 04:27 (UTC)

possible need gnome-desktop in makedepends

malabarth commented on 2014-04-30 19:21 (UTC)

Thank you! :) but I'm having a new error: /usr/bin/ld: warning: libupower-glib.so.2, needed by /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.2/../../../../lib/libmutter.so, not found (try using -rpath or -rpath-link) /usr/bin/ld: warning: libgnome-desktop-3.so.10, needed by /usr/lib/gcc/x86_64-unknown-linux-gnu/4.8.2/../../../../lib/libmutter.so, not found (try using -rpath or -rpath-link) EDIT: Fixed by simlinking /usr/lib/libupower-glib.so.2 to libupower-glib.so and /usr/libgnome-desktop-3.so.10 to libgnome-desktop-3.so! http://pastebin.com/ZGgyKM8E

ricardomv commented on 2014-04-29 20:56 (UTC)

you need to add -j1 in the build function next to make. looks like the build is broken for multiprocess. This has been reported

malabarth commented on 2014-04-29 19:35 (UTC)

Having trouble to compile! :( *** No rule to make target 'sd_logind_proxy.c', needed by 'all'. Stop http://pastebin.com/HjCdMn8q

yomi commented on 2014-03-18 03:05 (UTC)

Limit make to -j1, using anything higher causes the build to crash.

commented on 2014-02-22 04:32 (UTC)

I am also unable to start the session (with GDM) though everything else works fine. I can kill GNOME Shell and start up the panel and WM just fine, so I don't know what's going on. I'll poke a round a bit, I suppose.

commented on 2014-02-19 19:49 (UTC)

Not sure why.. but when I did the last install I had to change the source too.. anyway. Looks good. ;)

ricardomv commented on 2014-02-19 10:49 (UTC)

no i didnt change the source line it is like this for at least a month if you dont belive me check https://github.com/ricardo-vieira/configs/blob/137f128f946a3dd0b59b383d6766932c571b6160/AUR/budgie-desktop-git/PKGBUILD also can you delete some of your comments this is getting a bit messy

commented on 2014-02-19 07:16 (UTC)

Sorry, didn't notice you had changed that too as of your answer. Looks all good now. ;)

commented on 2014-02-18 23:47 (UTC)

Check the dates.. the old one is not updated any more. Last commit in that one is 2 month while the evolveos one is just a day.

commented on 2014-02-18 23:46 (UTC)

Check the dates.. the old one is not updated any more. Last commit in that one is 2 month while the evolveos one is a day ago.

commented on 2014-02-18 23:46 (UTC)

Check the dates.. the old one is not updated any more. Last commit to that one is 2 month while the evolveos one is a day ago.

ricardomv commented on 2014-02-18 18:23 (UTC)

Hi, thanks. I get the latest version from the current source line, but i changed the upstream url to http://evolve-os.com/ and made an install file.

commented on 2014-02-18 11:19 (UTC)

Ohh.. and you need to make a .install for the panel gsetting schema. To get the panel to work.

commented on 2014-02-18 11:00 (UTC)

There is a new source at https://github.com/evolve-os/budgie-desktop so change the source=("$pkgname"::'git+https://github.com/evolve-os/budgie-desktop.git#branch=master') line and upstream url in the pkgbuild to get the latest commits.

commented on 2014-02-18 10:59 (UTC)

There is a new source at https://github.com/evolve-os/budgie-desktop.git so change the source=("$pkgname"::'git+https://github.com/evolve-os/budgie-desktop.git#branch=master') line in the pkgbuild to get the latest commits.

commented on 2013-12-30 00:49 (UTC)

There is no variable named "_gitname" so version ends up empty. Change it to "$srcdir/$pkgname" at it will have the versioning working after total commits.

blackout24 commented on 2013-12-20 14:15 (UTC)

After logging the output from startx: http://pastebin.com/QqvZKw57 I symlinked gnome-settings-daemon from /usr/lib/gnome-settings-daemon/ to /usr/lib/gnome-settings-daemon-0.3/ and got the desktop to start. Don't know if that's an ugly hack that could cause problems.

blackout24 commented on 2013-12-20 13:54 (UTC)

When I start Budgie Desktop Session from GDM it throws me back to GDM after the screen goes black and the NVIDIA logo appears.

blackout24 commented on 2013-12-20 13:51 (UTC)

Depends on libwnck3 not libwnck.